## GocCircle GocCircle — Circle. |

## Synopsis

                        GocCircle;
    typedef             GocCircleClass;

## Object Hierarchy

      GObject
       +----GocItem
             +----GocStyledItem
                   +----GocCircle

## Implemented Interfaces

GocCircle implements GOStyledObject.

## Properties

      "radius"                   gdouble               : Read / Write
      "x"                        gdouble               : Read / Write
      "y"                        gdouble               : Read / Write

## Description

GocCircle implements circle drawing in the canvas.

## Details

### GocCircle

    typedef struct _GocCircle GocCircle;

### GocCircleClass

    typedef GocStyledItemClass GocCircleClass;

## Property Details

### The `"radius"` property

      "radius"                   gdouble               : Read / Write

The circle radius.

Allowed values: >= 0

Default value: 0

### The `"x"` property

      "x"                        gdouble               : Read / Write

The circle center horizontal position.

Default value: 0

### The `"y"` property

      "y"                        gdouble               : Read / Write

The circle center vertical position.

Default value: 0